////////////////////////////////////////////////////////////////////
// Programme principal pour les utilitaires de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de création :		29/07/03
// Dernière modification :	29/07/03
////////////////////////////////////////////////////////////////////

// Entete
#include "Chrono_Cross.h"

/*------------------------------------------------------------------
  Fonction principale
--------------------------------------------------------------------
 <- par_nb = nombre de paramètres de ligne de commande (+nom)
 <- par = paramètres de ligne de commande
------------------------------------------------------------------*/
int main(int par_nb, char *par[])
{
	// Message d'accueil
	Main_Message_S( "Bienvenue dans le programme\n"
		"de manipulation de Chrono Cross CD1.\n"
		"Nemesis - Terminus Traduction - 2003\n","",OK);
	Main_Ligne();

	// Initialisation des commandes
	Script_Initialisation();

	// Lecture des paramètres
	if (par_nb>1)
		Script_Exec(par[1]);
	else {
		// Ligne tapée au clavier
		char ligne[100];
		Main_Message_S("Entrez les commandes que\n"
			"vous souhaitez executer\n"
			"(rien pour quitter) :\n","",OK);
		// Lecture de la ligne sans protection
		while(gets(ligne)!=NULL && ligne[0]!=0)
			Script_Interprete(ligne);
	};

	// Fin d'exécution du programme
	Main_Ligne();
	Main_Message_S("Fin d'execution du programme.\n","",OK);
	Main_Fin();

	return(0);
}
